Package org.apache.sling.engine.auth

# Interface Authenticator

@Deprecated public interface Authenticator
Deprecated.
use `AuthenticationSupport` instead
The `Authenticator` interface defines the service interface of the authenticator used by the Sling engine. This service provides a method to find an `AuthenticationHandler` and call its `AuthenticationHandler.requestAuthentication(HttpServletRequest, HttpServletResponse)` method.

This interface is not intended to be implemented by applications but may be used to initiate the authentication process form a request processing servlet or script.

Since:
  2.0.4 This is version of the sling engine module where these classes where hosted before.

## Method Summary

Modifier and Type
Method
Description
`void`
`login(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
Deprecated.
Finds an `AuthenticationHandler` for the given request and call its `AuthenticationHandler.requestAuthentication(HttpServletRequest, HttpServletResponse)` method to initiate an authentication process with the client to login to Sling.

## Method Details

### login

void login(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)
Deprecated.
Finds an `AuthenticationHandler` for the given request and call its `AuthenticationHandler.requestAuthentication(HttpServletRequest, HttpServletResponse)` method to initiate an authentication process with the client to login to Sling.

This method must be called on an uncommitted response since the implementation may want to reset the response to start the authentication process with a clean response. If the response is already committed an `IllegalStateException` is thrown.

After this method has finished, request processing should be terminated and the response be considered committed and finished.

Parameters:
  `request` - The object representing the client request.
  `response` - The object representing the response to the client.
Throws:
  `NoAuthenticationHandlerException` - If no authentication handler claims responsibility to authenticate the request.
  `IllegalStateException` - If the response has already been committed.